Loading...
Searching...
No Matches
su_sockaddr_u Union Reference

Common socket address structure. More...

`#include <su.h>`

## Data Fields

uint8_t | su_len
| Length of structure.
uint8_t | su_family
| Address family.
uint16_t | su_port
| Port number.
char | su_array [32]
| Presented as chars.
uint16_t | su_array16 [16]
| Presented as 16-bit ints.
uint32_t | su_array32 [8]
| Presented as 32-bit ints.
struct sockaddr | su_sa
| Address in struct sockaddr format.
struct sockaddr_in | su_sin
| Address in IPv4 format.
uint32_t | su_scope_id
| Scope ID.

## Detailed Description

Common socket address structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.